<form [formGroup]="siteDemographicGroup">  
        <div class="example-container mat-elevation-z4" fxLayout="column"  fxLayoutGap="20px" >
                <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
                  <div fxFlex="25" class="required-label-color">Please select the type of the site</div>
                  <div fxFlex="30">
                        <mat-radio-group  [(ngModel)]="siteDemographicData.locationType" name="siteTypeRadioCtrl" formControlName="siteTypeRadioCtrl" (change)="radioChangeLocationType($event)">
                            <mat-radio-button  *ngFor="let siteType of siteTypes" [value]="siteType.refGroupDetailID">
                                    {{siteType.refGroupDetailDescription}} &nbsp;&nbsp;&nbsp;
                                </mat-radio-button>
                        </mat-radio-group>
                   </div> 
                </div>
                  <div fxLayout="row" class="div-row-padding" *ngIf="siteDemographicData.locationType == 233" fxLayoutAlign="left center">
                      <div fxFlex="25" class="required-label-color">TCO (Temporary Certificate of Occupancy) ready ?</div>
                      <div fxFlex="30">
                          <mat-radio-group [(ngModel)]="siteDemographicData.tcoReadyType" name="tcoReadyRadioCtrl" formControlName="tcoReadyRadioCtrl" appearance="outline" fxLayoutGap="20px"  >
                              <mat-radio-button class="example-radio-button" *ngFor="let tCO of tCOS" [value]="tCO.refGroupDetailID">
                                {{tCO.refGroupDetailDescription}}
                              </mat-radio-button >
                        </mat-radio-group >
                      </div> 
                  </div>
                  <div fxLayout="row" *ngIf="(siteDemographicData.tcoReadyType == 33 || siteDemographicData.tcoReadyType == 34 ) && (siteDemographicData.locationType == 233 )" class="div-row-padding" fxLayoutAlign="left center">
                      <div *ngIf="siteDemographicData.tcoReadyType == 33"  fxFlex="25" class="required-label-color">If Yes, specify contract start date</div>
                      <div *ngIf="siteDemographicData.tcoReadyType == 34"  fxFlex="25" class="required-label-color">If No, specify the expected date</div>
                      <div fxFlex="30" *ngIf="siteDemographicData.tcoReadyType == 33 || siteDemographicData.tcoReadyType == 34" >
                          <mat-form-field appearance="outline" >
                              <input matInput [matDatepicker]="picker" placeholder="MM/DD/YYYY" [(ngModel)]="siteDemographicData.tcoContractStartDate" formControlName="tcocontractStartDateCtrl" >
                                      <mat-icon matSuffix (click)="picker.open()" style="cursor:pointer; color:#777;">today
                                      </mat-icon>
                                      <mat-datepicker #picker></mat-datepicker>
                            </mat-form-field>
                      </div> 
                </div>
                <div fxLayout="row" class="div-row-padding"  *ngIf="siteDemographicData.locationType == 234" fxLayoutAlign="left center">
                    <div fxFlex="25" class="required-label-color">Is the Site Contracted</div>
                    <div fxFlex="30">
                        <mat-radio-group [(ngModel)]="siteDemographicData.contractType" name="siteContratctedRadioCtrl" formControlName="siteContratctedRadioCtrl" appearance="outline" fxLayoutGap="20px"  >
                            <mat-radio-button class="example-radio-button" *ngFor="let tCO of tCOS" [value]="tCO.refGroupDetailID">
                              {{tCO.refGroupDetailDescription}}
                            </mat-radio-button >
                      </mat-radio-group >
                    </div> 
                </div>
                <div fxLayout="row" *ngIf="(siteDemographicData.contractType == 33 || siteDemographicData.contractType == 34 ) && (siteDemographicData.locationType == 234 )" class="div-row-padding" fxLayoutAlign="left center">
                    <div *ngIf="siteDemographicData.contractType  == 33"  fxFlex="20" class="required-label-color" >If Yes, specify contract start date</div>
                    <div *ngIf="siteDemographicData.contractType  == 34"  fxFlex="20" class="required-label-color" >If No, specify the expected date</div>
                    <div fxFlex="30" *ngIf="siteDemographicData.contractType  == 33 || siteDemographicData.contractType  == 34 " >
                        <mat-form-field appearance="outline"  >
                            <input matInput [matDatepicker]="pickercontractdate" placeholder="MM/DD/YYYY" [(ngModel)]="siteDemographicData.contractStartDate" formControlName="contractStartDateCtrl" >
                                    <mat-icon matSuffix (click)="pickercontractdate.open()" style="cursor:pointer; color:#777;">today
                                    </mat-icon>
                                    <mat-datepicker #pickercontractdate></mat-datepicker>
                          </mat-form-field>
                    </div> 
              </div>
                  <div fxLayout="row"  *ngIf="siteDemographicData.locationType == 233" class="div-row-padding" fxLayoutAlign="left center" >
                      <div fxFlex="25" class="required-label-color">Is this a tax credit building ?</div>
                      <div fxFlex="30">
                          <mat-radio-group formControlName="taxcreditedRadioCtrl" name="taxcreditedRadioCtrl" [(ngModel)]="siteDemographicData.taxCreditType" appearance="outline" fxLayoutGap="20px" >
                              <mat-radio-button class="example-radio-button" *ngFor="let taxCredit of taxCredits" [value]="taxCredit.refGroupDetailID">
                                  {{taxCredit.refGroupDetailDescription}}
                                </mat-radio-button >
                            </mat-radio-group >
                      </div> 
                  </div>
                  <div *ngIf="(siteDemographicData.taxCreditType == 33 && siteDemographicData.locationType == 233)" >
                            <div fxLayout="row" class="div-row-padding-1" fxLayoutAlign="left center" >
                                <div fxFlex="25" class="required-label-color">If Yes, Maximum Income for Studio</div>
                                <div fxFlex="30">
                                        <mat-form-field appearance="outline">
                                        <input matInput formControlName="maxIncomeForStudioCtrl" [(ngModel)]="siteDemographicData.maxIncomeForStudio" maxlength="25" />
                                        </mat-form-field>
                                </div> 
                            </div>
                            <div fxLayout="row" class="div-row-padding-1" fxLayoutAlign="left center" >
                                    <div fxFlex="25" class="required-label-color">Maximum Income for One Bedroom </div>
                                    <div fxFlex="30">
                                            <mat-form-field appearance="outline">
                                            <input matInput formControlName="maxIncomeForOneBRctrl" [(ngModel)]="siteDemographicData.maxIncomeForOneBR" maxlength="25" />
                                            </mat-form-field>
                                    </div> 
                            </div>
                   </div>     
                  <div fxLayout="row"  class="div-row"  fxLayoutAlign="left center">
                      <div fxFlex="25" class="required-label-color">Level of Care </div>
                      <div fxFlex="30">
                          <mat-form-field style="width: 400px;" appearance="outline" >
                              <mat-select formControlName="levelOfCareTypeCtrl"  [(ngModel)]="siteDemographicData.levelOfCareType"  placeholder="Select" >
                                <mat-option *ngFor="let levelOfCareType of levelOfCareTypes" [value]="levelOfCareType.refGroupDetailID">
                                  {{levelOfCareType.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                      </div> 
                  </div>
                  <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
                      <div fxFlex="25" class="required-label-color">Housing Program Model </div>
                      <div fxFlex="30">
                          <mat-form-field style="width: 400px;" appearance="outline">
                              <mat-select formControlName="housingProgramCtrl" [(ngModel)]="siteDemographicData.housingProgram"  placeholder="Select">
                                <mat-option *ngFor="let housingPr of housingPrograms" [value]="housingPr.siteTypeCode">
                                    {{housingPr.typeDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                      </div> 
                  </div>
                  <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
                      <div fxFlex="25" class="required-label-color">Site Features  </div>
                      <div fxFlex="30">
                          <mat-form-field style="width: 400px;" appearance="outline">
                              <mat-select formControlName="siteFeaturesCtrl"  [(ngModel)]="siteFeatureData" placeholder="Select" (selectionChange)="siteFeaturesOnChange($event)" multiple >
                                <mat-option *ngFor="let siteFeature of siteFeatures" [value]="siteFeature.refGroupDetailID">
                                  {{siteFeature.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                      </div> 
                  </div>
                  <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
                      <div fxFlex="25" class="required-label-color">Is the Interview location same as the site  </div>
                      <div fxFlex="30">
                          <mat-radio-group formControlName="interviewLocationctrl"  name="interviewLocationctrl" [(ngModel)]="siteDemographicData.sameAsSiteInterviewAddressType"  appearance="outline" fxLayoutGap="20px"  >
                              <mat-radio-button  *ngFor="let interviewLocation of interviewLocations" [value]="interviewLocation.refGroupDetailID">
                                  {{interviewLocation.refGroupDetailDescription}}
                                  </mat-radio-button>
                        </mat-radio-group >
                      </div> 
                  </div>

                  <div *ngIf="siteDemographicData.sameAsSiteInterviewAddressType == 34" >
                        <div fxLayout="row"  fxLayoutAlign="left center" class="div-row">
                                <div fxLayout="column"><span>&nbsp;</span></div>
                                <div fxLayout="column" >
                                        <span>&nbsp;</span>
                                </div>  
                            </div>
                  <div fxLayout="row" class="div-row-padding"   fxLayoutAlign="left center" >
                        <div fxFlex="30" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >
                                <label class="required-label-color" > Address</label>  
                                <mat-form-field appearance="outline"  style='height:60px;width:300px'   >  
                                <textarea matInput required maxlength="200" rows="4" class="txtuppercase" formControlName="interviewAddressCtrl"  [(ngModel)]="siteDemographicData.interviewAddress" maxlength="200" > 
                                </textarea>
                            </mat-form-field>
                        </div> 
                        <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px"  >
                                <label class="required-label-color" > City</label>  
                                <mat-form-field appearance="outline"  style='height:60px;width:150px'   >
                                <input matInput alphabetSpace type="text" class="txtuppercase" formControlName="interviewCityCtrl"  [(ngModel)]="siteDemographicData.interviewCity" max="50"  />
                                </mat-form-field>
                        </div>  
                            <div fxFlex="15" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" s>
                                    <label class="required-label-color"> State</label>  
                                    <mat-form-field appearance="outline" style='height:60px;width:100px' >
                                    <input matInput alphabetOnly type="text" class="txtuppercase" formControlName="interviewStateCtrl" [(ngModel)]="siteDemographicData.interviewState"  maxlength="2"   />
                                    </mat-form-field>
                            </div> 
                            <div fxFlex="15" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >
                                    <label class="required-label-color"> Zip</label> 
                                    <mat-form-field appearance="outline" style='height:60px;width:100px' >
                                    <input matInput digitOnly formControlName="interviewZipCtrl"  [(ngModel)]="siteDemographicData.interviewZip" maxlength="5"   />
                                    </mat-form-field>
                            </div> 
                           
                            <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                    <label class="required-label-color" > Phone</label>  
                                    <mat-form-field appearance="outline" style='height:60px;width:150px' >
                                    <input matInput id="interviewPhoneCtrl" [ngModel] ="siteDemographicData.interviewPhone" formControlName="interviewPhoneCtrl"  
                                    [showMaskTyped]="true"  mask="000-000-0000" />
                                    </mat-form-field>
                            </div> 
                        </div> 
                    </div>     
                  <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
                    <div fxLayout="column"><span>&nbsp;</span></div>
                    <div fxLayout="column" >
                            <span>&nbsp;</span>
                    </div>  
                </div>
          
            </div> 
        </form> 
        